/*
Theme Name: Total Child Theme
Theme URI: https://your-site.com
Description: Your site description. Go to Appearance > Editor to modify this file.
Author: Your Name
Author URI: https://your-site.com
Template: Total
Version: 1.0
*/

:root {
    --couleur-typo: #495057;
    --couleur-secondaire: #5FCF1B;
    --bleu-fonce: #010D36;
}

/*************
*** GENERAL ***
*************/
#main {
    --wpex-sticky-offset: calc(var(--wpex-sticky-elements-height, 0px));
}

h2 {
    font-size: clamp(33px, 3vw, 40px);
    font-weight: 600;
}

h3 {
    font-weight: 600 !important;
    font-size: 1.2em !important;
    line-height: 1.5em;
    position: relative;
    padding-bottom: 10px;
}

h3:before {
    content: "";
    position: absolute;
    width: 100px;
    height: 5px;
    background-color: var(--couleur-secondaire);
    bottom: 0;
    left: 0;
}

.theme-button {
    font-size: 18px !important;
}

@media only screen and (max-width: 768px) {
    .theme-button {
        font-size: 16px !important;
    }
}


.vcex-image,
.vcex-image-carousel img {
    border-radius: 15px;
    overflow: hidden;
}

table {
    width: 100%;
    min-width: 1200px;
    margin-bottom: 30px;
}

table th {
    text-align: center;
    background-color: var(--couleur-secondaire);
    color: #fff;
}

table th,
table td {
    vertical-align: middle;
}

table td:first-child,
table th:first-child {
    min-width: 400px;
}

/****************
*** MENU ***
/***************/
#site-navigation .wpex-icon {
    margin-right: 5px !important;
}

/****************
*** MENU MOBILE ***
/***************/
#sidr-main .sidr-class-menu-button {
    background: var(--couleur-secondaire);
    text-align: center;
}

#sidr-main .sidr-class-menu-button a {
    color: #fff !important;
}

#sidr-main .sidr-class-current-menu-item {
    color: var(--couleur-secondaire) !important;
}

/******************
*** FORMULAIRE FORMIDABLE ***
******************/

@media only screen and (min-width: 768px) {
    .frm_forms {
        padding-right: 30px;
    }
}

.frm_forms.with_frm_style .frm_checkbox input[type=checkbox]:before {
    background: none !important;
}

.frm_forms h2 {
    margin-bottom: 0 !important;
    font-size: 25px;
}

.frm_forms.with_frm_style .frm_fields_container .frm_checkbox input[type=checkbox]:not([disabled]):checked {
    background-color: var(--couleur-secondaire) !important;
}

.frm_forms .frm_primary_label {
    text-transform: uppercase;
    color: #949494;
    font-size: 12px;
    letter-spacing: 2px;
}

.frm_forms input[type="text"],
.frm_forms input[type="email"],
.frm_forms input[type="tel"],
.frm_forms textarea,
.frm_forms select {
    padding: 10px 15px !important;
    height: auto !important;
    border: 2px solid #DEDEDE !important;
    box-shadow: none !important;
    line-height: 1.5em !important;
    border-radius: 7px;
}

.frm_forms input[type="text"]:focus,
.frm_forms input[type="email"]:focus,
.frm_forms input[type="tel"]:focus,
.frm_forms textarea:focus,
.frm_forms select:focus {
    border: 2px solid var(--couleur-secondaire) !important;
}

.frm_forms input:not([type=file]):focus,
.frm_forms input:not([type=file]):checked {
    outline: none !important;
    box-shadow: none !important;
    border-color: var(--couleur-secondaire) !important;
}

.frm_forms .frm_radio input[type=radio]:before,
.frm_forms .frm_checkbox input[type=checkbox]:before {
    box-shadow: inset 10px 10px var(--couleur-secondaire);
}

.frm_forms .frm_radio label,
.frm_forms .frm_checkbox label {
    padding: 22px 15px;
    border: 2px solid #DEDEDE;
    border-radius: 7px;
    width: 100%;
    display: inline-block;
    color: #333;
    font-size: 16px;
    height: 100%;
    display: flex;
    align-items: center;
}

.frm_forms .frm_radio label.custom-radio-checkbox,
.frm_forms .frm_checkbox label.custom-radio-checkbox {
    border-color: var(--couleur-secondaire) !important;
    background: rgba(253, 185, 0, 0.1);
}

.frm_repeat_buttons {
    padding-top: 2px;
}

.frm_repeat_buttons i:before {
    color: #fff !important;
}

.frm_forms .frm_button,
.frm_forms .frm_button_submit {
    border: 0 !important;
    background: var(--couleur-secondaire) !important;
    border-radius: 7px !important;
}

.frm_forms .frm_button_submit {
    letter-spacing: 2px;
    padding-top: 15px !important;
    padding-bottom: 15px !important;
}

@media only screen and (max-width: 768px) {
    .frm_forms .frm_opt_container {
        display: block !important;
    }

    .frm_forms .frm_radio label,
    .frm_forms .frm_checkbox label {
        margin-bottom: 5px !important;
    }
}

/******************
*** TEMPLATE - SIDEBAR ***
******************/

#template-partie-droite h2 {
    position: relative;
    display: inline-block;
    padding-left: 10px;
    padding-right: 10px;
    margin-bottom: 25px !important;
    font-weight: bold;
    font-size: 25px;
}

#template-partie-droite h2:before {
    content: '';
    position: absolute;
    height: 10px;
    width: 100%;
    background: var(--couleur-secondaire);
    left: 0;
    bottom: 2px;
    z-index: -1;
    display: block;
    opacity: 0.64;
}

#template-partie-droite #template-partie-droite_pourquoi .wpb_text_column p {
    margin-top: 0;
    margin-bottom: 20px;
    display: flex;
    align-items: center;
}

#template-partie-droite #template-partie-droite_pourquoi .wpb_text_column:first-child {
    margin-top: 15px;
}

#template-partie-droite #template-partie-droite_pourquoi .wpb_text_column:last-child {
    margin-bottom: 0px;
}

#template-partie-droite #template-partie-droite_pourquoi .wpb_text_column img {
    margin-top: 0;
    margin-right: 5px;
}

#template-partie-droite .wpb_raw_js {
    text-align: center;
}

#template-partie-droite #template-partie-droite_offre .vc_column-inner>.wpb_wrapper:before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: linear-gradient(135deg, rgba(255, 221, 0, 1) 0%, rgba(255, 215, 0, 1) 18%, rgba(253, 185, 0, 1) 100%);
    z-index: -1;
    border-radius: 7px;
}

#template-partie-droite #template-partie-droite_offre .vc_column-inner>.wpb_wrapper {
    padding: 30px 15px;
    position: relative;
    background-image: url(img/motif-bas.png), url(img/motif-haut.png);
    background-position: bottom left, top right;
    background-repeat: no-repeat, no-repeat;
    text-align: center;
}

#template-partie-droite #template-partie-droite_offre .wpb_wrapper .wpb_text_column:nth-child(1) {
    font-weight: bold;
    font-size: 24px;
}

#template-partie-droite #template-partie-droite_offre .wpb_wrapper .wpb_text_column:nth-child(2) {
    font-size: 20px;
    margin-bottom: 5px;
    letter-spacing: 2px;
}

#template-partie-droite #template-partie-droite_offre .wpb_wrapper .wpb_text_column:nth-child(2) strong {
    font-weight: bold;
    font-size: 64px;
    letter-spacing: 3px;
}

#template-partie-droite #template-partie-droite_offre .wpb_wrapper .wpb_text_column:nth-child(3) {
    font-size: 15px;
    font-style: italic;
}

#template-partie-droite #template-partie-droite_services .overlay-icon {
    margin-top: -35px;
    margin-left: -35px;
    height: 70px;
    line-height: 70px;
    width: 70px;
    text-align: center;
    font-size: 30px;
    background: #fff;
    opacity: 0.7;
    color: rgba(0, 0, 0, 1);
}

#template-partie-droite #template-partie-droite_services:hover .overlay-icon {
    opacity: 0.85;
}

#template-partie-droite #template-partie-droite_question .vc_column-inner>.wpb_wrapper {
    padding: 30px 15px;
    text-align: center;
    border-radius: 7px;
    -webkit-box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.15);
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.15);
}

#template-partie-droite #template-partie-droite_question .wpb_text_column {
    margin-bottom: 5px;
}

#template-partie-droite #template-partie-droite_question .wpb_wrapper .wpb_text_column:nth-child(1) {
    font-weight: bold;
    font-size: 20px;
}

#template-partie-droite #template-partie-droite_question .wpb_wrapper .wpb_text_column:nth-child(2) {
    font-size: 15px;
}

#template-partie-droite #template-partie-droite_question .theme-button {
    margin-top: 20px;
}

#template-partie-droite #template-partie-droite_question .theme-button .ticon {
    color: var(--jaune-fonce);
}

#template-partie-droite #template-partie-droite_question .theme-button:hover .ticon {
    color: #fff;
}


/****************
*** GENERAL : PAGES PRODUITS ***
/***************/
#produit-header {
    text-align: center;
    padding-top: 40px;
    padding-bottom: 40px;
    color: #fff;
    font-size: clamp(15px, 3vw, 25px);
}

#produit-header h1 {
    color: #fff;
    font-size: clamp(30px, 3vw, 45px);
    margin-bottom: 10px !important;
    font-weight: 400;
}

#produit-header .theme-button {
    margin-top: 20px;
}

#produit-nav {
    background-color: #fff;
    padding-top: 30px;
    padding-bottom: 30px;
    text-align: center;
    font-size: clamp(15px, 3vw, 20px);
}

#produit-nav a {
    padding-left: 10px;
    padding-right: 10px;
    color: var(--couleur-typo);
    text-decoration: none;
    white-space: nowrap;
}

#produit-nav a:hover,
#produit-nav a.active {
    color: var(--couleur-secondaire);
}

@media only screen and (max-width: 768px) {
    #produit-nav {
        padding-top: 10px;
        padding-bottom: 10px;
    }
}

#produit-title {
    padding-bottom: 30px;
    text-align: center;
}

#produit-title .vc_column-inner {
    margin-bottom: 0;
}

#produit-title h2 {
    margin-top: 0;
    font-weight: 400;
    font-size: clamp(28px, 3vw, 35px);
}

#produit-title h2 em {
    color: var(--couleur-secondaire);
    font-style: normal;
}

/*************
*** FOOTER ***
*************/
#footer-builder {
    padding-top: 40px;
    background: var(--bleu-fonce);
    color: #fff;
}

#footer-builder .vcex-navbar a {
    color: #fff;
    margin-left: 10px;
    margin-right: 10px;
}

@media only screen and (max-width: 768px) {
    #footer-builder .vcex-image {
        max-width: 150px;
        margin-left: auto;
        margin-right: auto;
    }
}

/*************
*** HOME ***
*************/
.home h3 {
    padding-bottom: inherit;
}

.home h3::before {
    display: none;
}

#home-bannier-top {
    position: relative;
    padding-top: 60px;
    padding-bottom: 60px;
}

#home-bannier-top:before {
    content: "";
    position: absolute;
    background: url(img/home-bannier.jpg);
    background-size: cover;
    background-position: center center;
    width: 50%;
    height: 100%;
    top: 0;
    right: 0;
    clip-path: polygon(15% 0, 100% 0, 100% 100%, 0% 100%);
}

#home-bannier-top h1 {
    font-size: clamp(30px, 3vw, 40px);
    font-weight: 600 !important;
}

#home-bannier-top h1 em {
    font-style: normal;
    color: var(--couleur-secondaire);
}

#home-bannier-top .wpb_text_column {
    font-size: 1.2em;
    line-height: 1.5em;
}

#home-bannier-top .theme-button {
    margin-top: 30px;
}

@media only screen and (max-width: 768px) {
    #home-bannier-top {
        padding-top: 0;
        padding-bottom: 40vh;
    }

    #home-bannier-top:before {
        width: 100%;
        height: 40vh;
        clip-path: none;
        top: auto;
        bottom: 0 !important;
    }

    #home-bannier-top h1 {
        margin-top: 0;
    }

    #home-bannier-top .theme-button {
        margin-top: 0;
    }
}

#home-bannier-1 {
    margin-top: 80px;
    padding: 40px 40px 0;
    border: 1px solid #f5f5f5;
    border-radius: 15px;
    text-align: center;
    -webkit-box-shadow: 0px 0px 11px 0px rgba(0, 0, 0, 0.1);
    box-shadow: 0px 0px 11px 0px rgba(0, 0, 0, 0.1);
}

#home-bannier-1 h2 {
    margin-bottom: 40px !important;
}

#home-bannier-1 h3 {
    font-size: clamp(18px, 3vw, 25px);
    font-weight: 600 !important;
}

@media only screen and (max-width: 768px) {
    #home-bannier-1 {
        margin-top: 40px;
        padding: inherit;
    }
}

#home-bannier-2 {
    margin-top: 80px;
}

#home-bannier-2 .vcex-steps {
    margin-top: 40px;
}

#home-bannier-2 .vcex-steps-item__line {
    width: 0;
}

@media only screen and (max-width: 768px) {
    #home-bannier-2 {
        margin-top: 40px;
    }

    #home-bannier-2 .vcex-steps {
        margin-top: 0;
    }
}

#home-bannier-3 {
    margin-top: 60px;
    border: 1px solid #f5f5f5;
    border-radius: 15px;
    -webkit-box-shadow: 0px 0px 11px 0px rgba(0, 0, 0, 0.1);
    box-shadow: 0px 0px 11px 0px rgba(0, 0, 0, 0.1);
    padding-left: 40px;
    padding-right: 40px;
    padding-top: 30px;
}

#home-bannier-3 .wpex-card {
    border-radius: 15px;
    border: 1px solid #f5f5f5;
    -webkit-box-shadow: 0px 0px 11px 0px rgba(0, 0, 0, 0.1);
    box-shadow: 0px 0px 11px 0px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    padding-bottom: 20px;
}

#home-bannier-3 .wpex-card-title,
#home-bannier-3 .wpex-card-excerpt {
    margin-left: 20px;
    margin-right: 20px;
}

#home-bannier-3 .wpex-card-title {
    font-weight: 600;
}

#home-bannier-3 .wpex-card-excerpt {
    font-size: 0.9em;
    line-height: 1.5em;
}

@media only screen and (max-width: 768px) {
    #home-bannier-3 {
        margin-top: 40px;
        padding-left: 15px;
        padding-right: 15px;
        padding-top: 15px;
    }
}

#home-bannier-4 {
    margin-top: 60px;
    border: 1px solid #f5f5f5;
    border-radius: 15px;
    -webkit-box-shadow: 0px 0px 11px 0px rgba(0, 0, 0, 0.1);
    box-shadow: 0px 0px 11px 0px rgba(0, 0, 0, 0.1);
    padding-left: 40px;
    padding-right: 40px;
    padding-top: 30px;
}

#home-bannier-4 .wpex-card {
    border: 1px solid #f5f5f5;
    border-radius: 15px;
    -webkit-box-shadow: 0px 0px 11px 0px rgba(0, 0, 0, 0.1);
    box-shadow: 0px 0px 11px 0px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    padding-bottom: 20px;
}

#home-bannier-4 .wpex-card-title {
    margin: 20px;
    font-weight: 600;
    text-align: left !important;
}

@media only screen and (max-width: 768px) {
    #home-bannier-4 {
        margin-top: 40px;
        padding-left: 15px;
        padding-right: 15px;
        padding-top: 15px;
    }

    #home-bannier-4 .wpex-card-title {
        margin: 0px 20px;
        font-weight: 600;
        text-align: left !important;
    }
}

#home-bannier-5 {
    margin-top: 60px;
    margin-bottom: 60px;
    border: 1px solid #f5f5f5;
    border-radius: 15px;
    -webkit-box-shadow: 0px 0px 11px 0px rgba(0, 0, 0, 0.1);
    box-shadow: 0px 0px 11px 0px rgba(0, 0, 0, 0.1);
    padding: 60px 60px 20px;
    font-size: 1.3em;
}

@media only screen and (max-width: 768px) {
    #home-bannier-5 {
        margin-top: 40px;
        margin-bottom: 40px;
        padding: inherit;
        padding-top: 40px;
    }
}

#home-bannier-6 {
    margin-top: 60px;
    margin-bottom: 60px;
    border: 1px solid #f5f5f5;
    border-radius: 15px;
    -webkit-box-shadow: 0px 0px 11px 0px rgba(0, 0, 0, 0.1);
    box-shadow: 0px 0px 11px 0px rgba(0, 0, 0, 0.1);
    padding: 60px 60px 20px;
    font-size: 1.3em;
    line-height: 1.5em;
    font-weight: 600;
}

@media only screen and (max-width: 768px) {
    #home-bannier-6 {
        margin-top: 40px;
        margin-bottom: 40px;
        padding: inherit;
    }
}

/*************
*** PAGE DEVIS ***
*************/

#header-devis {
    padding-top: 20px;
    padding-bottom: 70px !important;
    position: relative;
    display: block;
}

#header-devis:before {
    height: 50px;
}

#header-devis:before {
    content: "";
    position: absolute;
    width: 100vw;
    bottom: 0;
    left: 0;
    background: var(--couleur-secondaire);
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 20%);
    display: block;
}

@media only screen and (max-width: 768px) {
    #header-devis {
        padding-bottom: 50px !important;
    }

    #header-devis:before {
        height: 30px;
    }

    #header-devis img {
        max-width: 170px;
    }
}

#titre-devis {
    text-align: center;
    font-size: clamp(20px, 3vw, 23px);
    line-height: 1.5em;
}

#titre-devis h1 {
    font-size: clamp(30px, 3vw, 40px);
    margin-bottom: 20px !important;
}

#titre-devis h1 em {
    color: var(--couleur-secondaire);
    font-style: normal;
}